Bug 981844 - WebKitGtk3 busy in main thread on certain message
WebKitGtk3 busy in main thread on certain message
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 05:13 EDT by Mikhail
Modified: 2015-02-17 10:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:53:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtraces of evolution (5.56 KB, application/x-bzip)
2013-07-06 05:13 EDT, Mikhail
no flags Details
screenshot of evolution (286.70 KB, image/png)
2013-07-06 05:14 EDT, Mikhail
no flags Details
screenshot of htop (246.92 KB, image/png)
2013-07-06 05:14 EDT, Mikhail
no flags Details
example message (4.49 MB, application/mbox)
2013-07-06 05:17 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-07-06 05:13:14 EDT
Created attachment 769537 [details]
backtraces of evolution

Description of problem:
evolution hangs when I try watch attachments in example message
Comment 1 Mikhail 2013-07-06 05:14:02 EDT
Created attachment 769538 [details]
screenshot of evolution
Comment 2 Mikhail 2013-07-06 05:14:40 EDT
Created attachment 769539 [details]
screenshot of htop
Comment 3 Mikhail 2013-07-06 05:17:42 EDT
Created attachment 769540 [details]
example message
Comment 4 Mikhail 2013-07-06 05:18:43 EDT
In console many outputs:

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)

(evolution:7384): camel-WARNING **: Truncated UTF-8 buffer (The cause might be missing character encoding information in the message header. Try a different character encoding.)
Comment 5 Milan Crha 2013-07-08 08:15:41 EDT
Thanks for a bug report. I can reproduce this freeze with your test message too, it's with webkitgtk3-2.0.3-1.fc19.x86_64. The backtrace shows that the evolution is busy in webkit library, thus I'm moving this there.

Thread 1 (Thread 0x7f1ad0ecea40 (LWP 4832)):
#0  0x000000393a21e30b in WebCore::RenderBlock::computeInlineDirectionPositionsForSegment(WebCore::RootInlineBox*, WebCore::LineInfo const&, WebCore::ETextAlign, float&, float&, WebCore::BidiRun*, WebCore::BidiRun*, WTF::HashMap<WebCore::InlineTextBox const*, std::pair<WTF::Vector<WebCore::SimpleFontData const*, 0ul>, WebCore::GlyphOverflow>, WTF::PtrHash<WebCore::InlineTextBox const*>, WTF::HashTraits<WebCore::InlineTextBox const*>, WTF::HashTraits<std::pair<WTF::Vector<WebCore::SimpleFontData const*, 0ul>, WebCore::GlyphOverflow> > >&, WebCore::VerticalPositionCache&, WTF::Vector<WebCore::WordMeasurement, 64ul>&) () from /lib64/libwebkitgtk-3.0.so.0
#1  0x000000393a21f8af in WebCore::RenderBlock::computeInlineDirectionPositionsForLine(WebCore::RootInlineBox*, WebCore::LineInfo const&, WebCore::BidiRun*, WebCore::BidiRun*, bool, WTF::HashMap<WebCore::InlineTextBox const*, std::pair<WTF::Vector<WebCore::SimpleFontData const*, 0ul>, WebCore::GlyphOverflow>, WTF::PtrHash<WebCore::InlineTextBox const*>, WTF::HashTraits<WebCore::InlineTextBox const*>, WTF::HashTraits<std::pair<WTF::Vector<WebCore::SimpleFontData const*, 0ul>, WebCore::GlyphOverflow> > >&, WebCore::VerticalPositionCache&, WTF::Vector<WebCore::WordMeasurement, 64ul>&) () from /lib64/libwebkitgtk-3.0.so.0
#2  0x000000393a21ff2b in WebCore::RenderBlock::createLineBoxesFromBidiRuns(WebCore::BidiRunList<WebCore::BidiRun>&, WebCore::InlineIterator const&, WebCore::LineInfo&, WebCore::VerticalPositionCache&, WebCore::BidiRun*, WTF::Vector<WebCore::WordMeasurement, 64ul>&) () from /lib64/libwebkitgtk-3.0.so.0
#3  0x000000393a220a38 in WebCore::RenderBlock::layoutRunsAndFloatsInRange(WebCore::LineLayoutState&, WebCore::BidiResolver<WebCore::InlineIterator, WebCore::BidiRun>&, WebCore::InlineIterator const&, WebCore::BidiStatus const&, unsigned int) () from /lib64/libwebkitgtk-3.0.so.0
#4  0x000000393a221e6d in WebCore::RenderBlock::layoutRunsAndFloats(WebCore::LineLayoutState&, bool) () from /lib64/libwebkitgtk-3.0.so.0
#5  0x000000393a2228f1 in WebCore::RenderBlock::layoutInlineChildren(bool, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#6  0x000000393a203a36 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#7  0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#8  0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#9  0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#10 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#11 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#12 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#13 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#14 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#15 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#16 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#17 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#18 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#19 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#20 0x000000393a3436d9 in WebCore::RenderView::layoutContent(WebCore::LayoutState const&) () from /lib64/libwebkitgtk-3.0.so.0
#21 0x000000393a343bfc in WebCore::RenderView::layout() () from /lib64/libwebkitgtk-3.0.so.0
#22 0x000000393a162d9c in WebCore::FrameView::layout(bool) () from /lib64/libwebkitgtk-3.0.so.0
#23 0x000000393a2718a2 in WebCore::RenderFrameBase::layoutWithFlattening(bool, bool) () from /lib64/libwebkitgtk-3.0.so.0
#24 0x000000393a27e384 in WebCore::RenderIFrame::layout() () from /lib64/libwebkitgtk-3.0.so.0
#25 0x000000393a22284c in WebCore::RenderBlock::layoutInlineChildren(bool, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#26 0x000000393a203a36 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#27 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#28 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#29 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#30 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#31 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#32 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#33 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#34 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#35 0x000000393a309239 in WebCore::RenderTableCell::layout() () from /lib64/libwebkitgtk-3.0.so.0
#36 0x000000393a3178ac in WebCore::RenderTableRow::layout() () from /lib64/libwebkitgtk-3.0.so.0
#37 0x000000393a31c981 in WebCore::RenderTableSection::layout() () from /lib64/libwebkitgtk-3.0.so.0
#38 0x000000393a3154fd in WebCore::RenderTable::layout() () from /lib64/libwebkitgtk-3.0.so.0
#39 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#40 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#41 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#42 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#43 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#44 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#45 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#46 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#47 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#48 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#49 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#50 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#51 0x000000393a202329 in WebCore::RenderBlock::layoutBlockChild(WebCore::RenderBox*, WebCore::RenderBlock::MarginInfo&, WebCore::LayoutUnit&, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#52 0x000000393a202ac0 in WebCore::RenderBlock::layoutBlockChildren(bool, WebCore::LayoutUnit&) () from /lib64/libwebkitgtk-3.0.so.0
#53 0x000000393a203c90 in WebCore::RenderBlock::layoutBlock(bool, WebCore::LayoutUnit) () from /lib64/libwebkitgtk-3.0.so.0
#54 0x000000393a1f6e1d in WebCore::RenderBlock::layout() () from /lib64/libwebkitgtk-3.0.so.0
#55 0x000000393a3436d9 in WebCore::RenderView::layoutContent(WebCore::LayoutState const&) () from /lib64/libwebkitgtk-3.0.so.0
#56 0x000000393a343bfc in WebCore::RenderView::layout() () from /lib64/libwebkitgtk-3.0.so.0
#57 0x000000393a162d9c in WebCore::FrameView::layout(bool) () from /lib64/libwebkitgtk-3.0.so.0
#58 0x0000003939c9d6d5 in WebCore::Document::implicitClose() () from /lib64/libwebkitgtk-3.0.so.0
#59 0x000000393a0a3675 in WebCore::FrameLoader::checkCompleted() () from /lib64/libwebkitgtk-3.0.so.0
#60 0x000000393a0a4d3c in WebCore::FrameLoader::completed() () from /lib64/libwebkitgtk-3.0.so.0
#61 0x000000393a0a368c in WebCore::FrameLoader::checkCompleted() () from /lib64/libwebkitgtk-3.0.so.0
#62 0x000000393a0a3756 in WebCore::FrameLoader::finishedParsing() () from /lib64/libwebkitgtk-3.0.so.0
#63 0x0000003939c9e756 in WebCore::Document::finishedParsing() () from /lib64/libwebkitgtk-3.0.so.0
#64 0x0000003939ef13fe in WebCore::HTMLDocumentParser::prepareToStopParsing() () from /lib64/libwebkitgtk-3.0.so.0
#65 0x0000003939eefa69 in WebCore::HTMLDocumentParser::finish() () from /lib64/libwebkitgtk-3.0.so.0
#66 0x000000393a097772 in WebCore::DocumentWriter::end() () from /lib64/libwebkitgtk-3.0.so.0
#67 0x000000393a08c0cc in WebCore::DocumentLoader::finishedLoading() () from /lib64/libwebkitgtk-3.0.so.0
#68 0x000000393a0c6b30 in WebCore::MainResourceLoader::didFinishLoading(double) () from /lib64/libwebkitgtk-3.0.so.0
#69 0x000000393a07280a in WebCore::CachedResource::checkNotify() () from /lib64/libwebkitgtk-3.0.so.0
#70 0x000000393a06b8d8 in WebCore::CachedRawResource::data(WTF::PassRefPtr<WebCore::ResourceBuffer>, bool) () from /lib64/libwebkitgtk-3.0.so.0
#71 0x000000393a0eb4ea in WebCore::SubresourceLoader::didFinishLoading(double) () from /lib64/libwebkitgtk-3.0.so.0
#72 0x000000393a8b0ab0 in WebCore::readCallback(_GObject*, _GAsyncResult*, void*) () from /lib64/libwebkitgtk-3.0.so.0
#73 0x000000390405837a in async_ready_callback_wrapper (source_object=0x7f1a5c003920, res=0x174c6e0, user_data=0x7f1a75fd3a98) at ginputstream.c:530
#74 0x000000390407790b in g_task_return_now (task=0x174c6e0) at gtask.c:1105
#75 0x0000003904077929 in complete_in_idle_cb (task=0x174c6e0) at gtask.c:1114
#76 0x0000003902447e06 in g_main_dispatch (context=0x68ace0) at gmain.c:3054
#77 g_main_context_dispatch (context=context@entry=0x68ace0) at gmain.c:3630
#78 0x0000003902448158 in g_main_context_iterate (context=0x68ace0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#79 0x000000390244855a in g_main_loop_run (loop=0x1531db0) at gmain.c:3895
#80 0x000000391618a27d in gtk_main () at gtkmain.c:1156
#81 0x0000000000404998 in main (argc=1, argv=0x7fff6b530c68) at main.c:686
Comment 6 Fedora End Of Life 2015-01-09 13:42:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Mikhail 2015-01-10 14:19:32 EST
rpm -qa | grep evolution
evolution-help-3.12.9-1.fc21.noarch
evolution-data-server-3.12.9-2.fc21.x86_64
evolution-data-server-debuginfo-3.12.9-2.fc21.x86_64
evolution-3.12.9-1.fc21.x86_64
evolution-ews-3.12.9-1.fc21.x86_64

Problem with hang fixed, but internal viewer couldn't view non utf-8 text. Maybe would be more correct can't allow use viewer on such files (or support all codepages)?
Comment 8 Mikhail 2015-01-10 14:20:58 EST
Files "PROT_NO_NDFL2_0278_0278_0274061157027801001_20120511_92A8469F-4E33-3844-A495-D85BD090121A.txt" and "PROT_NO_NDFL2_0278_0278_0274061157027801001_20120511_9BFD3E32-6DA2-F946-A239-BC94DC8F4BFD.txt" encoded with Windows 1251 codepage.
Comment 9 Milan Crha 2015-02-04 10:39:25 EST
(In reply to Mikhail from comment #7)
> Problem with hang fixed, but internal viewer couldn't view non utf-8 text.
> Maybe would be more correct can't allow use viewer on such files (or support
> all codepages)?

What does it mean exactly, please? This all is more or less handled in webkit. Camel, the warnings from the end of the comment #4, is helping a bit, but when it cannot guess the proper character encoding, then it gives up and throws a warning on the console. It means that the only option is to use View->Character Encoding menu option and pick the right one manually.
Comment 10 Fedora End Of Life 2015-02-17 10:53:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.